#!/bin/bash

# will use existing fonts if wims is around
wims_fontdir=/var/lib/wims/public_html/mathfonts
tmp_fontdir=/tmp/mathfonts
if [ -d ${wims_fontdir} ]; then
  if [ ! -d ${tmp_fontdir} ]; then cp -R ${wims_fontdir} /tmp; fi
else
  if [ ! -d ${tmp_fontdir} ]; then mkdir ${tmp_fontdir}; fi
fi

texgd_src=$(cat example.tex)
texgd_tmpdir=/tmp
texgd_fontdir=${tmp_fontdir}
texgd_outfile=/tmp/example.png
texgd_texheader=./header.tex
texgd_style='$$'
texgd_density=10
texgd_compressratio='3'

export texgd_src texgd_tmpdir texgd_fontdir texgd_outfile
export texgd_texheader texgd_style texgd_density texgd_compressratio

texgd

echo 
echo texgd should have output the file /tmp/example.png, you can display it.
